using NAnt.Core;
using NAnt.Core.Attributes;

namespace Nant.VMWare.Tasks
{
    [TaskName( "stop-vm" )]
    public class ShutdownVirtualMachineTask : VirtualMachineTask
    {
        protected override void ExecuteTask()
        {
            Log( Level.Info, "Going to shut down VM..." );
            TestEnvironment.Shutdown();
            Log( Level.Info, "VM is off" );
        }
    }
}